export default ponyfill;
export type TypedArray = Int8Array | Int16Array | Int32Array | Uint8Array | Uint8ClampedArray | Uint16Array | Uint32Array | Float32Array | Float64Array;
/**
 * @typedef {Int8Array | Int16Array | Int32Array | Uint8Array | Uint8ClampedArray | Uint16Array | Uint32Array | Float32Array | Float64Array} TypedArray
 */
/**
 * Returns value at specified index. Supports relative indexing from the end when passed a negative index. Uses native implementation if available.
 *
 * @param {string|Array<unknown>|TypedArray} item
 * @param {number}                           [index]
 */
declare function ponyfill(item: string | Array<unknown> | TypedArray, index?: number | undefined): unknown;
/**
 * Returns value at specified index. Supports relative indexing from the end when passed a negative index. Uses native implementation if available.
 *
 * @param {string|Array<unknown>|TypedArray} item    Item to search.
 * @param {number}                           [index] Relative index.
 */
export function preferNative(item: string | Array<unknown> | TypedArray, index?: number | undefined): unknown;
//# sourceMappingURL=index.d.ts.map